.course {
  position: relative;

  display: flex;
  overflow: hidden;
  flex-direction: column;

  width: 450px;
  height: 650px;

  border-radius: 20px;
  background-color: #fff;
  background-image: url(../img/courses-slider/background.png);
  background-size: cover;
  box-shadow: 6.573px 12.361px 33.6px 1.4px rgba(0, 0, 0, 0.25);

  @media (width <= 768PX) {
    margin: auto;
  }

  @media (width <= 500PX) {
    width: 370px;
    height: 530px;
  }

  &:hover {
    .course__details {
      opacity: 1;
    }
  }

  &__title {
    position: absolute;
    z-index: 2;
    top: 10%;

    width: 100%;

    text-align: center;
    text-transform: uppercase;

    color: $white;
    text-shadow: 5px 5px 35px #000;

    font-family: $OpenSans;
    font-size: 56px;
    font-weight: bold;
    line-height: 1.2;

    @media (width <= 500PX) {
      font-size: 30px;
      margin-top: 30px;
    }
    @media only screen
    and (min-device-width: 375px)
    and (max-device-width: 667px)
    and (-webkit-min-device-pixel-ratio: 2) {
      font-size: 28px;
    }

    &:before {
      position: absolute;
      bottom: 100%;
      bottom: 100%;
      left: 10%;

      content: attr(data-before);
      text-transform: capitalize;

      font-size: 30px;
      line-height: 1.2;

      @media (width <= 500PX) {
        font-size: 22px;
      }

      @media only screen
      and (min-device-width: 375px)
      and (max-device-width: 667px)
      and (-webkit-min-device-pixel-ratio: 2) {
        font-size: 30px;
      }
    }

    &:after {
      position: absolute;
      top: 100%;
      right: 10%;

      content: attr(data-after);
      text-transform: capitalize;

      color: $blue;

      font-size: 30px;
      line-height: 1.2;
      text-shadow: 5px 5px 15px rgba(0, 0, 0, 0.4);

      @media (width <= 500PX) {
        font-size: 26px;
      }

      @media only screen
      and (min-device-width: 375px)
      and (max-device-width: 667px)
      and (-webkit-min-device-pixel-ratio: 2) {
        font-size: 30px;
      }
    }

    &--small {
      font-size: 36px;

      @media (width <= 500PX) {
        font-size: 30px;
      }

      @media only screen
      and (min-device-width: 375px)
      and (max-device-width: 667px)
      and (-webkit-min-device-pixel-ratio: 2) {
        font-size: 28px;
      }
    }
  }

  &__sale {
    position: absolute;
    z-index: 1;
    bottom: 20%;
    left: -10%;

    display: none;

    width: 120%;
    height: 25%;

    transform: rotate(-15deg);

    background-color: red;

    .course--sale & {
      display: block;
    }

    span {
      display: flex;
      justify-content: center;

      margin-top: 2.5%;
      //margin-left: calc(10% + 30px);

      //transform: rotate(-10deg);

      color: $white;
      text-shadow: 6.573px 12.361px 33.6px rgba(0, 0, 0, 0.25);

      font-family: $OpenSans;
      font-size: 32px;
      font-weight: bold;
      line-height: 1.2;

      @media only screen
      and (min-device-width: 375px)
      and (max-device-width: 667px)
      and (-webkit-min-device-pixel-ratio: 2) {
        font-size: 30px;
        margin-left: 13%;
      }
    }
  }

  &__content {
    position: absolute;
    z-index: 3;
    bottom: 0;

    display: flex;
    flex-direction: column;

    width: 100%;
    margin-bottom: 10px;
  }

  &__price {
    margin-right: 3%;
    margin-bottom: 10px;

    text-align: right;

    color: $white;
    text-shadow: 5px 5px 40px rgba(0, 0, 0, 0.85);

    font-family: $OpenSans;
    font-size: 52px;
    font-weight: bold;
    line-height: 1.2;

    @media (width <= 1023PX) {
      font-size: 46px;
    }
    @media (width <= 500PX) {
      font-size: 36px;
    }

    small {
      font-size: 36px;

      @media (width <= 500PX) {
        font-size: 24px;
      }
    }

    @media only screen
    and (min-device-width: 375px)
    and (max-device-width: 667px)
    and (-webkit-min-device-pixel-ratio: 2) {
      // font-size: 42px;
      margin-bottom: 0;
    }

    &:before {
      position: absolute;
      right: 3%;
      bottom: 100%;

      display: none;

      content: attr(data-old);
      text-align: right;
      text-decoration: line-through;
      text-decoration-color: red;

      //color: rgb(33, 91, 116);
      text-shadow: 6.573px 12.361px 33.6px rgba(0, 0, 0, 0.25);

      font-size: 30px;
      font-weight: bold;
      line-height: 1;



      @media (width <= 500PX) {
        font-size: 22px;
        margin-bottom: 2px;
      }

      //@media only screen
      //and (min-device-width: 375px)
      //and (max-device-width: 667px)
      //and (-webkit-min-device-pixel-ratio: 2) {
      //  font-size: 25px;
      //}

      .course--sale & {
        display: block;
      }
    }
  }

  &__schedule {
    margin-bottom: 10px;
    margin-left: 5%;

    text-align: left;

    color: $white;

    font-family: $OpenSans;
    font-size: 30px;
    font-weight: bold;
    line-height: 1.2;

    @media (width <= 500PX) {
      font-size: 22px;
    }

    @media only screen
    and (min-device-width: 375px)
    and (max-device-width: 667px)
    and (-webkit-min-device-pixel-ratio: 2) {
      font-size: 25px;
    }
  }

  &__vacancy {
    display: flex;
    align-items: center;

    margin-left: 5%;
    margin-right: 10px;

    color: $white;

    font-family: $OpenSans;
    font-size: 18px;
    font-weight: bold;
    line-height: 1.2;

    @media (width <= 500PX) {
      font-size: 16px;
    }

    .btn {
      margin-left: auto;
    }

    span, a {
      color: $white;

      &:active,
      &:hover {
        color: $white;
      }
    }

    @media only screen
    and (min-device-width: 375px)
    and (max-device-width: 667px)
    and (-webkit-min-device-pixel-ratio: 2) {
      font-size: 18px;
    }

    .btn {
      padding: 15px 30px;

      font-size: 22px;

      @media only screen
      and (min-device-width: 375px)
      and (max-device-width: 667px)
      and (-webkit-min-device-pixel-ratio: 2) {
        font-size: 22px;
      }

      @media (width <= 500PX) {
        font-size: 16px;
      }
    }

    span {
      margin-left: 20px;

      font-size: 30px;

      @media only screen
      and (min-device-width: 375px)
      and (max-device-width: 667px)
      and (-webkit-min-device-pixel-ratio: 2) {
        margin: 0 20px;

        font-size: 30px;
      }

      @media (width <= 500PX) {
        font-size: 22px;
        margin: 0 10px;
      }
    }

    &--close {
      display: flex;
      justify-content: space-between;
      span {
        font-size: 22px;

        @media only screen
        and (min-device-width: 375px)
        and (max-device-width: 667px)
        and (-webkit-min-device-pixel-ratio: 2) {
          font-size: 22px;
        }
      }
    }
  }
}

.course__img {
  position: absolute 0 0 0 0;
  z-index: 1;

  display: flex;

  width: 100%;
  overflow: hidden;
}

.course__img img {
  width: 100%;
  margin-bottom: 0;
}

.course:before {
  position: absolute;
  z-index: 2;
  top: -10%;
  left: -20%;

  display: block;

  width: 120%;
  height: 30%;

  content: "";
  transform: rotate(-15deg);

  background-image: url(../img/courses-slider/grid.svg), linear-gradient(to bottom, #cf3901 0%, #ff6714 100%);
  background-repeat: no-repeat;
  background-size: cover;
}

.course:after {
  position: absolute;
  z-index: 2;
  bottom: -8%;
  left: -10%;

  display: block;

  width: 120%;
  height: 36%;

  content: "";
  transform: rotate(-15deg);

  background-image: url(../img/courses-slider/grid.svg), linear-gradient(to left, #078eb8 0%, #1e98b8 100%);
  background-repeat: no-repeat;
  background-size: cover;
}

.course--sale:after {
  height: 42%;
  background-image: url(../img/courses-slider/grid.svg), linear-gradient(to left, #00c3ce 0%, #00c3ce 100%);
}

.courses {
  &-slider {
    @media (width <= 768PX) {
      display: flex;
      flex-direction: column;
      justify-content: center;
    }
  }

  &__item {
    @media (width <= 768PX) {
      display: inline-block;

      margin: 20px auto;
    }

    &--employment {
      position: relative;

      &:after {
        position: absolute;
        z-index: 2;
        top: 0;
        right: 0;

        width: 340px;
        height: 80px;

        content: "С гарантированным трудоустройством";
        transform: translate(20px, -30px);
        text-align: center;

        color: $white;
        border-radius: 20px;
        background-color: $blue;
        box-shadow: 3.064px 2.571px 20.4px 3.6px rgba(0, 0, 0, 0.3);
        text-shadow: 6.573px 12.361px 33.6px rgba(0, 0, 0, 0.25);

        font-family: $OpenSans;
        font-size: 20px;
        font-weight: bold;
        line-height: 40px;

        @media (width <= 500PX) {
          font-size: 18px;
        }

        @media only screen
        and (min-device-width: 375px)
        and (max-device-width: 667px)
        and (-webkit-min-device-pixel-ratio: 2) {
          font-size: 20px;
        }
      }
    }
  }
}

.controls__list.owl-carousel {
  @media (width <= 768PX) {
    display: none;
  }
}
